program WM_ScreenSaver;

uses
  Forms,
  Dialogs,SysUtils,
  Unit1 in 'Unit1.pas' {Form1};

{$E scr}
{$D SCRNSAVE WM_ScreenSaver} //w nowszych wersjach Windows ten opis jest ignorowany
{$R *.res}

var ParamStr1 :String;

begin
  Application.Initialize;
  Application.Title := 'WM_ScreenSaver';

  if (ParamCount>0) then
  begin
  ParamStr1:=LowerCase(Copy(ParamStr(1),1,2));

  if (ParamStr1='/c') then
    begin
    ShowMessage(Application.Title+#13+'(c) Jacek Matulewski 2005'+#13+#13+'e-mail: jacek@phys.uni.torun.pl'+#13+'WWW: http://www.phys.uni.torun.pl/~jacek');
    end;

  if (ParamStr1='/p') then
    begin
    //podglad wygaszacza ekranu
    end;

  if (ParamStr1='/a') then
    begin
    //ustawianie hasła w Windows 95
    end;

  if (ParamStr1='/s') then
    begin
    //uruchamianie wygaszacza ekranu
    Application.CreateForm(TForm1, Form1);
    Application.Run;
    end;

  end;
end.
